> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesfinity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Webhooks

> Returns all webhooks for the team

Retrieves all webhooks configured for the current team.

### Response

Returns a list of webhook objects with pagination metadata.

```json theme={null}
{
  "data": [
    {
      "_id": "507f1f77bcf86cd799439011",
      "name": "CRM Call Sync",
      "url": "https://example.com/webhooks/salesfinity",
      "events": ["CALL_LOGGED"],
      "status": "active"
    },
    {
      "_id": "507f1f77bcf86cd799439022",
      "name": "Snooze Notifications",
      "url": "https://example.com/webhooks/snooze",
      "events": ["CONTACT_SNOOZED"],
      "status": "active"
    }
  ],
  "pagination": {
    "total": 2,
    "page": 1,
    "limit": 10,
    "pages": 1
  }
}
```

### Response Fields

| Field    | Type      | Description                             |
| -------- | --------- | --------------------------------------- |
| `_id`    | string    | Webhook ID                              |
| `name`   | string    | Webhook name                            |
| `url`    | string    | Destination URL for webhook payloads    |
| `events` | string\[] | Subscribed event types                  |
| `status` | string    | Webhook status (`active` or `inactive`) |


## OpenAPI

````yaml GET /v1/webhooks
openapi: 3.0.1
info:
  title: Salesfinity API
  description: API documentation for Salesfinity platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://client-api.salesfinity.co
security:
  - ApiKeyAuth: []
paths:
  /v1/webhooks:
    get:
      tags:
        - Webhooks
      description: Returns all webhooks for the team
      operationId: get-webhooks
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
          description: Items per page
      responses:
        '200':
          description: Webhooks retrieved successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````